/*
    Title:    	main.c
    Author:     Radek Tabor
    Date:       26.8.2014
    Purpose:  	program pro soft star motoru zvedani radlice a vypnuti motoru po uplynuti definovanoho casu
    Software: 	v1
	HW zapojeni:radlice traktoru
    Hardware: 	ATtiny13
    Note:     	
	Pripojeni pinu procesoru:
		PB0		- OUT aktivn v 1, MOSI - PWM motoru
		PB1		- nc
		PB2		- nc
		PB3		- nc
		PB4		- nc
		PB5		- nc reset
		
*/

#include <avr/io.h>
//#include <avr/wdt.h> //watchdog
//#include <avr/interrupt.h> //preruseni od watchdogu
#include <util/delay.h>
//#include "eeprom.h"
//#include "main.h"

//#define F_CPU 4800000UL //4.8MHz
#define F_CPU 1000000UL  // 1 MHz


//makrodefinovani pro bitovy pristup k portu
#define SETBIT(ADRESS,BIT)   (ADRESS|=(1<<BIT))
#define CLEARBIT(ADRESS,BIT) (ADRESS&=~(1<<BIT))
#define CHECKBIT(ADRESS,BIT) (ADRESS&(1<<BIT))

//pripojeni pinu
//#define BRANA_PWM 		PORTB
//#define PWM 			OC0A


//************************************************************************************************
//************************************************************************************************

//Nastaveni portu PB pi beznem provozu
void InitPortB(void)
{
	DDRB=0b00000001;  //registr smeru dat PB0 - vystup
	PORTB=0b00000000; //log.0 nastaveno vude
	
	//TCCR0A  Timer/Counter Control Register A
	//COM0A1 COM0A0 COM0B1 COM0B0   WGM01 WGM00
	TCCR0A=0b10000011;
	
	//TCCR0B  Timer/Counter Control Register B
	//FOC0A FOC0B   WGM02 CS02 CS01 CS00
	TCCR0B=0b00000011;
	
	
}


//Hlavni program
int main(void)
{	
	unsigned int i=0;
	InitPortB();	//inicializace konfigurace portu PB

//soft start motoru
	for (i=0;i<=255;i++)
    { 
		OCR0A=i;
		_delay_us(100);
    }

//hlidani max casu provozu, pak nasleduje vypnuti motoru
	for (i=0;i<=100;i++)
	{
		_delay_ms(30);
	}

//stop motoru po uplynuti casu	
	OCR0A=0;
	TCCR0A=0b00000000;

	for(;;)	//nekonecna smicka
	{

		
	}
}